linux麻烦的地方

为当前最终发行版之前的所有版本提供支持
回复
littertiger
帖子: 99
注册时间: 2006-08-08 20:25
送出感谢: 0
接收感谢: 0
联系:

linux麻烦的地方

#1

帖子 littertiger » 2006-08-14 9:50

ubuntu并不是什么软件都有binary包,如gipmsg就没有,且用得比较多。
这样大家就必须去下载源代码,有源代码不知道是好还是坏。对于开发者当然是好事,可以自己修改代码。但是linux用户绝大多数应该是使用者,让他们去编译代码就会越搞越乱。现在ubuntu的发行版一般都没有开发工具,使用者一般会乱装一气,也不知道有用与否,更可恨的是,库和开发包都版本太多,很可能出现的情况是,有的程序在使用新库,有的程序在使用旧库,然后就是一团糟,这样能通过共享库来减少内存占用?
使用者一把在所有一团糟后,format系统,重新装windows。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-08-14 10:07

进源的软件都审查的。你也可以申请测试,提交bug报告。
● 鸣学
头像
zshmail
帖子: 270
注册时间: 2006-07-03 9:12
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 zshmail » 2006-08-14 10:19

这好像是linux的通病
littertiger
帖子: 99
注册时间: 2006-08-08 20:25
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 littertiger » 2006-08-14 13:00

其实我们可以维护一套binary的程序集合,
1、集合足够大,且都是binary包。避免用户因为编译源代码而安装一些不必要的开发包。
2、集合内程序稳定,不要求是最新版本
3、集合内kernel+lib构建统一环境,同样lib同时只保留一个版本。
4、集合发布时,默认有标准桌面,免配置的。
5、集合版本发布时,尽量做到兼容性。如果不兼容也没关系,集合内部优化和完整性第一重要。

说白了,好像是在学习windows的发布。其实windows的傻瓜特性,正式绝大多数用户需要的。
shoory
帖子: 123
注册时间: 2006-08-05 12:47
来自: 四川成都
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 shoory » 2006-08-14 17:54

说的这是正好是其它Linux发行版的问题
Ubuntu的新立得软件包管理好用啊,点一下,就下下来安装好了
littertiger
帖子: 99
注册时间: 2006-08-08 20:25
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 littertiger » 2006-08-15 11:48

但不总是你需要的软件ubuntu源里面有呀。
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#7

帖子 stlxv » 2006-08-15 16:13

没办法,我们用linux是接触的大多都是开源软件(毕竟不推荐商业软件,虽然有非常多的商业软件),有些开源作者就是喜欢只发行源码包……

windows下面也有大量开源软件,但是我们平时用的很少,而且windows下的开源软件作者大多都会发布binary包

用windows之所以没有这种感觉是因为我们用盗版商业软件用太多了。同样道理,linux下的商业软件也一样只用binary发行,而且一般都配备有安装程序。
头像
laborer
帖子: 1016
注册时间: 2005-10-25 11:15
送出感谢: 0
接收感谢: 1 次
联系:

#8

帖子 laborer » 2006-08-16 23:26

绝大部分情况下源里的软件已经足够用了,算上debian的一些包,基本没有必要从源代码装。
hreiser@oakland:~$ killall -9 wife
police@oakland:~$ sudo find / -user hreiser
court@oakland:~$ sudo mv /home/hreiser /jail/
court@oakland:~$ sudo usermod -d /jail/hreiser -s "/usr/sbin/chroot /jail/" hreiser
回复

回到 “老旧版本支持”